#include<bits/stdc++.h>
using namespace std;
#define pb  push_back
#define ll  unsigned long long
#define vi  vector<ll >
#define vvi vector<vi >
#define all(x) x.begin(), x.end()

int n;
string s;

bool go(char c) {
    for (auto x : s)
        if (x == c)
            return true;
    return false;
}

int main() {
    ios_base::sync_with_stdio(false); cin.tie(0);
    cin >> s;
    n = s.length();
    if (go('V') && go('K'))
        cout << "VK" << endl;
    else if (go('v') && go('k'))
        cout << "vk" << endl;
    else
        cout << ":(" << endl;

    return 0;
}
